<template>
  <div>
    <q-card>
       <q-card-section>
        <div class="text-h6"> Filtro {{ teste }} </div>
      </q-card-section>
      <q-separator dark/>
      <q-card-section>
        <div class="row q-gutter-xl q-mb-lg">
          <div class="col-xs-9 col-sm-3">
            <q-input label="Informe o código do projeto" v-model="text" />
          </div>
        </div>
      </q-card-section>
    </q-card>
  </div>
</template>

<script>
import { get } from '@/services/tarefas'

export default {
  name: 'FiltroTarefa',
  data: function () {
    return {
      text: '',
      teste: ''
    }
  },
  created: function () {
    get()
      .then((response) => {
        console.log(response)
        this.teste = response.data.id
      })
      .catch((error) => console.log(error))
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
